> For the complete documentation index, see [llms.txt](https://docs.geeknums.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geeknums.io/quan-qiu-dian-hua-yun-ying-shang-cha-xun.md).

# 全球电话运营商查询

全球电话运营商查询，数十亿条记录，及时更新，高准确性。

> 代码示例：

```bash
curl --location --request POST 'https://api.checknumber.ai/v1/phone' \--header 'Content-Type: application/x-www-form-urlencoded' \--header 'X-API-Key: AbcdEfgh' \--data-urlencode 'number=628138800001&country=ID'
```

> 正常请求的响应示例

```json
{  "status": "ok",  "message": {    "country_code": 62,    "national_number": 8138800001,    "is_valid_number": true,    "number_type": "MOBILE",    "e164": "+628138800001",    "region_code": "ID",    "location": {      "en": ""    },    "time_zones": ["Asia/Jakarta"],    "carrier": {      "en": "AXIS"    }  }}
```

> 错误请求的响应示例

```json
{  "status": "FAIL",  "message": "The phone number supplied is not a number."}
```

## HTTP 请求

`POST https://api.checknumber.ai/v1/phone`

## 请求参数

| 参数名       | 描述                             |
| --------- | ------------------------------ |
| `number`  | `string`，电话号码                  |
| `country` | `string`，地区代码，例如印度尼西亚的代码为 `ID` |

## 状态码

| 状态码    | 描述                           |
| ------ | ---------------------------- |
| `OK`   | `free`，成功                    |
| `FAIL` | `free`，失败，`message` 字段包含错误信息 |

## 电话号码字段描述

| 字段名               | 描述                         |
| ----------------- | -------------------------- |
| country\_code     | 国家代码，例如印度尼西亚的代码为 `62`      |
| national\_number  | 国内呼叫号码                     |
| is\_valid\_number | 是否为有效号码                    |
| number\_type      | 号码类型，`MOBILE`、`FIXED_LINE` |
| e164              | `e164` 格式的号码               |
| region\_code      | 地区代码，例如印度尼西亚的代码为 `ID`      |
| location          | 地理位置，*多语言*                 |
| time\_zones       | 时区                         |
| carrier           | 服务提供商，*多语言*                |

## 电话号码类型描述

| 类型                     | 描述                                                 |
| ---------------------- | -------------------------------------------------- |
| `MOBILE`               | 移动电话                                               |
| `FIXED_LINE`           | 固定电话                                               |
| `FIXED_LINE_OR_MOBILE` | 移动电话或固定电话，*在某些国家，仅通过号码本身无法区分固定电话和移动电话*             |
| `SHARED_COST`          | <http://en.wikipedia.org/wiki/Shared_Cost_Service> |
| `VOIP`                 | VOIP                                               |
| `PERSONAL_NUMBER`      | <http://en.wikipedia.org/wiki/Personal_Numbers>    |
| `UNKNOWN`              | 未知                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geeknums.io/quan-qiu-dian-hua-yun-ying-shang-cha-xun.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
